import React from "react";

import logo from "../../assets/12345.jpeg";
import { Button } from "../button";

import "./style.scss";

class Header extends React.Component {
	constructor(props) {
		super(props);
		console.log("constructor HEADER");
		this.state = { login: false };
	}

	componentDidMount() {
		console.log("componentDidMount HEADER");
	}

	logIn = () =>
		new Promise(resolve => {
			setTimeout(() => {
				this.setState(prevState => ({ ...prevState, login: !prevState.login }));
			}, 2000);
		});

	logOut = () =>
		new Promise(resolve => {
			setTimeout(() => {
				this.setState(prevState => ({ ...prevState, login: !prevState.login }));
			}, 2000);
		});

	render() {
		const { login } = this.state;
		const { randomNumber } = this.props;
		return (
			<header className="header">
				<div className="header__logo-box">
					<img src={logo} alt="logo" className="header__logo" />
				</div>

				<div>Random - {randomNumber}</div>

				{login ? (
					<Button className="header__button" onClick={this.logOut}>
						Log Out
					</Button>
				) : (
					<Button className="header__button" onClick={this.logIn}>
						Log In
					</Button>
				)}
				{/* <Button onClick={this.logIn}>Log In</Button> 
			<Button onClick={this.logOut}>Log Out</Button>  */}
			</header>
		);
	}
}

export default Header;
